package com.xinelu.common.enums;

import lombok.Getter;

/**
 * 节点执行状态枚举类
 *
 * @author haown
 * @date 2024-04-01
 */
@Getter
public enum NodeExecuteStatusEnum {
    /**
     * 已执行
     */
    EXECUTED("EXECUTED", "已执行"),
    /**
     * 未执行
     */
    UNEXECUTED("UNEXECUTED", "未执行"),

    /**
     * 执行中
     */
    EXECUTING("EXECUTING", "执行中"),
    ;
    final private String info;
    private final String code;

    NodeExecuteStatusEnum(String info, String code) {
        this.info = info;
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
